For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all sender domains
      • POSTCreate a new sender domain
      • DELDelete a sender domain
      • GETGet a sender domain configuration
      • PUTAuthenticate a sender domain
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsDomains

Get a sender domain configuration

GET
https://api.brevo.com/v3/senders/domains/:domainName
GET
/v3/senders/domains/:domainName
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.domains.getDomainConfiguration("domainName");
8}
9main();
1{
2 "domain": "mycompany.com",
3 "verified": true,
4 "authenticated": true,
5 "dns_records": {
6 "brevo_code": {
7 "host_name": "@",
8 "type": "TXT",
9 "value": "brevo-code=abc123def456",
10 "status": true
11 },
12 "dkim_record": {
13 "host_name": "mail._domainkey",
14 "type": "TXT",
15 "value": "v=DKIM1; k=rsa; p=MIGfMA0GCSqGSIb3DQEBAQUAA4GN...",
16 "status": true
17 },
18 "dmarc_record": {
19 "host_name": "_dmarc",
20 "type": "TXT",
21 "value": "v=DMARC1; p=quarantine; rua=mailto:dmarc@mycompany.com",
22 "status": true
23 }
24 }
25}
Retrieves configuration of a specific domain, to know if the domain is valid or not. Use this to: - Check domain configuration - Validate a domain configuration - Monitor DNS record status - Troubleshoot authentication issues Key information returned: - Domain verification and authentication status - DNS records configuration and validation status - Detailed authentication requirements
Was this page helpful?
Previous

Authenticate a sender domain

Next
Built with

Retrieves configuration of a specific domain, to know if the domain is valid or not.

Use this to:

  • Check domain configuration
  • Validate a domain configuration
  • Monitor DNS record status
  • Troubleshoot authentication issues

Key information returned:

  • Domain verification and authentication status
  • DNS records configuration and validation status
  • Detailed authentication requirements

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

domainNamestringRequired
Domain name

Response

Domain configuration retrieved successfully
domainstring
Domain name
verifiedboolean

Status of domain verification (true=verified, false=non verified)

authenticatedboolean

Status of domain authentication (true=authenticated, false=non authenticated)

dns_recordsobject
DNS records configuration and status

Errors

400
Bad Request Error
404
Not Found Error